Is it required for the appropriate MIBs to be installed to use the 'SyncSet' script? (NETIQKB43815)

  • 7743815
  • 02-Feb-2007
  • 09-Nov-2010

Environment

NetIQ AppManager 6.x
NetIQ AppManager 7.0.x

Situation

Is it required for the appropriate MIBs to be installed to use the 'SyncSet' script?

Resolution

The SyncSet script requires that the MIBs be installed defining the attributes that will be set with the script. SyncSet is the only script with this requirement. The reason for this restriction is that the script can automatically look up the data type of the attributes being set in the MIB. If the MIB were not present, the user would need to manually specify the value types for the Set operation.

The biggest advantage of this approach is that multiple SNMP Values of different types can be set from a single job. It is common in SNMP Agent implementations to require multiple values to be set in a single request in order to instruct the device to perform a specified function. By requiring the MIBs to be installed for the SyncSet script, this is an easy task to perform.

Additional Information

Formerly known as NETIQKB43815

Feedback service temporarily unavailable. For content questions or problems, please contact Support.